## crdt-el 0.0~20210526

=== Makefile ===
EMACS=emacs

.PHONY: package elpa clean compile

package: *.el
	@ver=`grep -o "Version: .*" crdt.el | cut -c 10-`; \
	tar czvf crdt-$$ver.tar.gz --mode 644 $$(find . -name \*.el)

elpa: *.el
	@version=`grep -o "Version: .*" crdt.el | cut -c 10-`; \
	dir=crdt-$$version; \
	mkdir -p "$$dir"; \
	cp $$(find . -name \*.el) crdt-$$version; \
	echo "(define-package \"crdt\" \"$$version\" \
	\"Simultaneous text editing over network\")" \
	> "$$dir"/crdt-pkg.el; \
	tar cvf crdt-$$version.tar --mode 644 "$$dir"

clean:
	@rm -rf crdt-*/ crdt-*.tar crdt-*.tar.gz *.elc

compile:
	${EMACS} -Q --batch -L . -f batch-byte-compile crdt.el

=== debian/changelog ===
crdt-el (0.0~20210526-2) unstable; urgency=medium

  * Initial upload (Closes: #978721)
  * Upstream git commit b5a8a28cf6

 -- David Bremner <bremner@debian.org>  Sat, 03 Jul 2021 12:15:36 -0300

=== debian/control ===
Source: crdt-el
Section: net
Priority: optional
Maintainer: Debian Emacs addons team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12), dh-elpa (>= 2.0)
Homepage: https://code.librehq.com/qhong/crdt-el/
Vcs-Git: https://salsa.debian.org/emacsen-team/crdt-el.git
Vcs-Browser: https://salsa.debian.org/cgit/emacsen-team/crdt-el.git

Package: elpa-crdt
Architecture: all
Depends: ${misc:Depends}, emacsen-common (>= 2.0.8)
Description:  collaborative editing environment for Emacs
 crdt.el can be used to share buffers between different emacs
 instances (perhaps on different hosts). You can share multiple
 buffers in one session, see other users’ cursor and region, and
 synchronize Org mode folding status.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make elpa

## crdt-el 0.3.5

=== debian/changelog ===
crdt-el (0.3.5-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:51:53 +0900

crdt-el (0.3.5-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:36:27 +0900

crdt-el (0.3.5-2) unstable; urgency=medium

  * Team upload
  * d/watch
    - Add a watch file
  * d/control
    - Bump Standards-Version to 4.6.2
    - Remove obsolete version constraint for `dh-elpa` build-dep
    - White-space fix
  * d/gbp.conf
    - Define branches and enable `pristine-tar`
  * d/.gitignore
    - Ignore packaging and editing artefacts
  * d/elpa
    - Fix installation of upstream crdt-pkg.el by replacing out-of-date
      version in path with `${env:DEB_VERSION_UPSTREAM}`
  * d/rules
    - Export `DEB_VERSION_UPSTREAM` for d/elpa
    - Make build verbose unless the `terse` build option is used
  * d/copyright
    - Update upstream notice
    - Use https URL for `Format:`

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 25 Nov 2023 21:02:25 +0000

crdt-el (0.3.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control: cleanups: bump debhelper-compat to 13, add R³,
    fix Vcs-Browser, add myself as uploader as replacement for David
  * Drop obsolete patch to add autoload cookies
  * Add docs

 -- Martin <debacle@debian.org>  Fri, 24 Nov 2023 19:15:48 +0000

crdt-el (0.0~20210526-3) unstable; urgency=medium

  * Source only upload

 -- David Bremner <bremner@debian.org>  Sun, 22 Jan 2023 13:05:45 -0400

=== debian/control ===
Source: crdt-el
Section: net
Priority: optional
Maintainer: Debian Emacs addons team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), dh-elpa
Homepage: https://code.librehq.com/qhong/crdt-el/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/emacsen-team/crdt-el
Vcs-Git: https://salsa.debian.org/emacsen-team/crdt-el.git

Package: elpa-crdt
Architecture: all
Depends: ${misc:Depends}, emacsen-common (>= 2.0.8)
Description: collaborative editing environment for Emacs
 crdt.el can be used to share buffers between different emacs
 instances (perhaps on different hosts). You can share multiple
 buffers in one session, see other users’ cursor and region, and
 synchronize Org mode folding status.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
endif

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_build:
	make elpa

=== debian/watch ===
version=4

opts="repack,compression=bzip2" \
  https://elpa.gnu.org/packages/crdt.html \
  crdt-@ANY_VERSION@\.tar(?:\.lz)?
